Create request
curl --request POST \
--url https://api.entendre.finance/v1/firm/requests \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"client_id": "fcl_507f1f77bcf86cd799439011",
"integrations": [
{
"type": "bank",
"legal_entity_id": "le_507f1f77bcf86cd799439012"
}
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
client_id: 'fcl_507f1f77bcf86cd799439011',
integrations: [{type: 'bank', legal_entity_id: 'le_507f1f77bcf86cd799439012'}]
})
};
fetch('https://api.entendre.finance/v1/firm/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/firm/requests"
payload = {
"client_id": "fcl_507f1f77bcf86cd799439011",
"integrations": [
{
"type": "bank",
"legal_entity_id": "le_507f1f77bcf86cd799439012"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "frq_507f1f77bcf86cd799439011",
"client_id": "fcl_000000000000000000000001",
"organization_id": "507f1f77bcf86cd799439013",
"status": "pending",
"integrations": [],
"email_sent": true,
"email_sent_at": "2026-08-31T12:00:00Z",
"expires_at": "2026-09-30T12:00:00Z",
"requested_at": "2026-08-31T12:00:00Z",
"created_at": "2026-08-31T12:00:00Z",
"updated_at": "2026-08-31T12:00:00Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Request
Create request
Creates an integration request and tries to deliver it to the client.
POST
/
v1
/
firm
/
requests
Create request
curl --request POST \
--url https://api.entendre.finance/v1/firm/requests \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"client_id": "fcl_507f1f77bcf86cd799439011",
"integrations": [
{
"type": "bank",
"legal_entity_id": "le_507f1f77bcf86cd799439012"
}
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
client_id: 'fcl_507f1f77bcf86cd799439011',
integrations: [{type: 'bank', legal_entity_id: 'le_507f1f77bcf86cd799439012'}]
})
};
fetch('https://api.entendre.finance/v1/firm/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/firm/requests"
payload = {
"client_id": "fcl_507f1f77bcf86cd799439011",
"integrations": [
{
"type": "bank",
"legal_entity_id": "le_507f1f77bcf86cd799439012"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "frq_507f1f77bcf86cd799439011",
"client_id": "fcl_000000000000000000000001",
"organization_id": "507f1f77bcf86cd799439013",
"status": "pending",
"integrations": [],
"email_sent": true,
"email_sent_at": "2026-08-31T12:00:00Z",
"expires_at": "2026-09-30T12:00:00Z",
"requested_at": "2026-08-31T12:00:00Z",
"created_at": "2026-08-31T12:00:00Z",
"updated_at": "2026-08-31T12:00:00Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Headers
Unique key for this operation. Retry with the same key and request body after a timeout. Keys are retained for at least 24 hours.
Required string length:
1 - 255Body
application/json
Response
Created.
Show child attributes
Show child attributes